## gitless 0.8.6

=== requirements.txt ===
pygit2==0.26.3  # requires libgit2 0.26
clint==0.5.1
sh==1.12.14;sys_platform!='win32'
pbs==0.110;sys_platform=='win32'

=== debian/changelog ===
gitless (0.8.6-4) unstable; urgency=medium

  * Move to the Debian Python Applications Packaging Team.
  * Add a git-buildpackage config file.
  * Switch the homepage URL to the HTTPS scheme.
  * Add the year 2019 to my debian/* copyright notice.
  * Always run the upstream test suite.

 -- Peter Pentchev <roam@debian.org>  Wed, 06 Feb 2019 15:24:41 +0200

gitless (0.8.6-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Drop the Lintian override related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits that error.
  * Bump the debhelper compatibility level to 12 with no changes and
    run the dh_missing tool with the --fail-missing option.

 -- Peter Pentchev <roam@debian.org>  Wed, 26 Dec 2018 01:19:46 +0200

gitless (0.8.6-2) unstable; urgency=medium

  * Add the path-none patch to catch up with pygit2's new behavior of
    returning None instead of raising a KeyError when not in a Git
    repository.  Closes: #907146
  * Declare compliance with Debian Policy 4.2.0 with no changes.
  * Change the "MIT" license name to "Expat" in the copyright file to
    avoid ambiguity with the multiple versions of MIT-like licenses.
  * Add the typos patch to correct two typographical errors in
    the upstream source and also propagate the fix to the debian/gl.1
    manual page.
  * Add a trivial autopkgtest running adequate on the binary package.
  * Use the B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <roam@debian.org>  Sat, 25 Aug 2018 21:59:29 +0300

gitless (0.8.6-1) unstable; urgency=low

  * Initial release.  Closes: #839644

 -- Peter Pentchev <roam@debian.org>  Wed, 16 May 2018 00:59:12 +0300

=== debian/control ===
Source: gitless
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 git,
 python3-all,
 python3-setuptools,
 python3-clint,
 python3-pygit2,
 python3-sh (>= 1.11)
Standards-Version: 4.3.0
Homepage: https://gitless.com/
Vcs-Git: https://salsa.debian.org/python-team/applications/gitless.git -b debian/master
Vcs-Browser: https://salsa.debian.org/python-team/applications/gitless/tree/debian/master
Rules-Requires-Root: no

Package: gitless
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 git,
 python3-pkg-resources
Recommends: less
Multi-Arch: foreign
Description: version control system on top of Git
 Gitless is an experimental version control system built on top of Git.
 Many people complain that Git is hard to use.  The Gitless authors think
 the problem lies deeper than the user interface, in the concepts
 underlying Git.  Gitless is an experiment to see what happens if
 a simple veneer is put on an app that changes the underlying concepts.
 Because Gitless is implemented on top of Git (could be considered what
 Git pros call a "porcelain" of Git), you can always fall back on Git.
 And of course your coworkers you share a repo with need never know that
 you're not a Git aficionado.

=== debian/tests/control ===
Test-Command: env GITLESS='/usr/bin/gl' ./debian/run-simple-test.sh
Depends: @, git
Restrictions: allow-stderr

Test-Command: env GITLESS='/usr/bin/gl' ./debian/run-upstream-test.sh
Depends: @, dh-python, git, python3-setuptools
Restrictions: allow-stderr

Test-Command: adequate gitless
Depends: @, adequate

## gitless 0.8.8

=== requirements.txt ===
# make sure to update setup.py

pygit2==0.28.2  # requires libgit2 0.28
clint==0.5.1
sh==1.12.14;sys_platform!='win32'
pbs==0.110;sys_platform=='win32'

=== debian/changelog ===
gitless (0.8.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Peter Pentchev ]
  * Drop dh-python, dh-sequence-python3 is enough.

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Oct 2020 11:40:12 +0200

gitless (0.8.8-3) unstable; urgency=medium

  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Use dh-sequence-python3 as a build dependency.
  * Use debian/clean to remove some directories.
  * Update to debhelper compat level 13:
    - drop the conditional around the dh_auto_test target
    - `dh_missing --fail-missing` is the default now

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 17:24:30 +0300

gitless (0.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Peter Pentchev ]
  * Uncap the pygit2 requirement: gitless works with 1.x. Closes: #947597
  * Add the year 2020 to my debian/* copyright notice.
  * Declare compliance with Debian Policy 4.5.0 with no changes.

 -- Peter Pentchev <roam@debian.org>  Sun, 09 Feb 2020 16:37:49 +0200

gitless (0.8.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * d/control: Fix wrong Vcs-*.

  [ Peter Pentchev ]
  * Mark the adequate autopkgtest as superficial.
  * Use the test-name autopkgtest feature.
  * Annotate test-related build dependencies with <!nocheck>.
  * Run the Salsa CI jobs.
  * New upstream version:
    - drop the path-none and typos patch, integrated upstream
    - add the relax-pygit2-dep patch to relax the version requirement
  * Export LANGUAGE=C during the tests to fix a FTBFS.
  * Correct the years placement in the copyright file.

 -- Peter Pentchev <roam@debian.org>  Sat, 28 Sep 2019 19:30:04 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: gitless
 Section: devel
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
- git,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ git <!nocheck>,
  python3-all,
  python3-setuptools,
- python3-clint,
- python3-pygit2,
- python3-sh (>= 1.11)
-Standards-Version: 4.3.0
+ python3-clint <!nocheck>,
+ python3-pygit2 <!nocheck>,
+ python3-sh (>= 1.11) <!nocheck>
+Standards-Version: 4.5.0
 Homepage: https://gitless.com/
-Vcs-Git: https://salsa.debian.org/python-team/applications/gitless.git -b debian/master
-Vcs-Browser: https://salsa.debian.org/python-team/applications/gitless/tree/debian/master
+Vcs-Git: https://salsa.debian.org/python-team/packages/gitless.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gitless
 Rules-Requires-Root: no
 
 Package: gitless

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gitless

%:
	dh '$@' --buildsystem=pybuild

override_dh_auto_test:
	'${CURDIR}/debian/run-simple-test.sh'
	env GITLESS=./gl '${CURDIR}/debian/run-upstream-test.sh'

=== debian/tests/control ===
Test-Command: env GITLESS='/usr/bin/gl' ./debian/run-simple-test.sh
Depends: @, git
Features: test-name=debian-simple
Restrictions: allow-stderr

Test-Command: env GITLESS='/usr/bin/gl' ./debian/run-upstream-test.sh
Depends: @, dh-python, git, python3-setuptools
Features: test-name=upstream
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@@ARCHIVE_EXT@/gitless-$1\.tar\.gz/ \
https://github.com/sdg-mit/gitless/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
